Airwallex logo

Issuing

Copy for LLMView as Markdown

You can simulate transactions on cards issued by Airwallex and KYC processes of cardholders. Find out more about generating card issuing transactionsDocs and cardholder statusDocs.

Endpoints
POST /api/v1/simulation/issuing/create
POST /api/v1/simulation/issuing/card_transaction_lifecycles/{card_transaction_lifecycle_id}/capture
POST /api/v1/simulation/issuing/refund
POST /api/v1/simulation/issuing/card_transaction_lifecycles/{card_transaction_lifecycle_id}/reverse
POST /api/v1/simulation/issuing/cardholders/{id}/pass_review
POST /api/v1/simulation/issuing/threeds/notify

Create a Transaction for the Provided Card

POST /api/v1/simulation/issuing/create

Creates a transaction for the card_id (or card_number) provided, but does not capture the transaction. This is only available in the sandbox environment.

Headers
x-api-versionstring

x-api-version.

Request body
transaction_amountrequirednumber

Transaction amount.

transaction_currencyrequiredstring

Currency of the transaction. Can only be one of USD, AUD, GBP, EUR, CAD, JPY, HKD, CNY, SGD, NZD, CHF.

auth_codestring

Authorization code.

card_idstring

Unique Identifier for card. Leave this blank if using card_number. If both card_number and card_id are provided, card_number will be used.

card_numberstring

Card Number.

card_transaction_lifecycle_idstring

The unique identifier of a card transaction lifecycle to associate with the new authorization.

merchant_category_codestring

Merchant category code.

merchant_infostring

Merchant description.

single_phaseboolean

Set this to true to combine a single transaction that both authorizes and clears the transaction request. Defaults to false if not set.

transaction_failure_reasonstring

Set this field to simulate a failed transaction with the specific failure reason.

CARDHOLDER_VERIFICATION_FAILED
CVV_INVALID
INVALID_EXPIRY_DATE
PIN_INVALID
PIN_RETRIES_EXCEEDED
TRANSACTION_BLOCKED
Response body - 201 Created
auth_codestring

Authorization Code.

billing_amountnumber

Billing amount.

billing_currencystring

Billing Currency.

card_idstring

Unique Identifier for card.

card_nicknamestring

The nickname of the card used.

card_transaction_event_idstring

The unique identifier of the card transaction event created by the simulation operation.

card_transaction_idstring

The unique identifier of the card transaction created or updated by the simulation operation.

card_transaction_lifecycle_idstring

The unique identifier of the card transaction lifecycle created or updated by the simulation operation.

client_datastring

Client data stored against the card record.

failure_reasonstring

The reason the event was declined. Only present when process_result is DECLINED. Learn more about transaction failure reasonsDocs.

ACCOUNT_INVALID
CARDHOLDER_VERIFICATION_FAILED
CARD_CLOSED
CARD_INACTIVE
CARD_INVALID
CARD_LOST_STOLEN
CARD_NOT_ACTIVATED
CARD_REISSUED_TO_NEW_NUMBER
CURRENCY_NOT_ALLOWED
CVV_INVALID
EXPIRY_MISSING
INSUFFICIENT_AVAILABLE_CREDIT
INSUFFICIENT_FUNDS
INTERNAL_ERROR
INVALID_EXPIRY_DATE
LIMIT_EXCEEDED
MERCHANT_CATEGORY_NOT_ALLOWED
MERCHANT_COUNTRY_NOT_ALLOWED
MERCHANT_BRAND_NOT_ALLOWED
MERCHANT_BRAND_CATEGORY_NOT_ALLOWED
MERCHANT_BRAND_SUBCATEGORY_NOT_ALLOWED
NOT_SUPPORTED
OUT_OF_ALLOWED_TIME_RANGE
PIN_INVALID
PIN_RETRIES_EXCEEDED
REMOTE_AUTH_DECLINED
RESTRICTED_COUNTRY
SUSPECTED_FRAUD
TRANSACTION_BLOCKED
TRANSACTION_BLOCKED_AT_TERMINAL
TRANSACTION_USAGE_DISABLED
masked_card_numberstring

Masked card number.

merchantobject

Merchant of the card transaction.

merchant.category_codestring

Merchant category code.

merchant.citystring

Merchant city.

merchant.countrystring

Merchant country.

merchant.namestring

Merchant Name.

network_transaction_idstring

The transaction unique identifier from VISA network.

process_resultstring

The processing result of the card transaction event.

APPROVED
DECLINED
retrieval_refstring

Transaction retrieval reference number. Data element 37 of an financial transaction message (https://en.wikipedia.org/wiki/ISO_8583).

subtypestring

The card transaction event subtype.

AUTHORIZATION
INCREMENTAL_AUTHORIZATION
VERIFICATION
REVERSAL
PARTIAL_REVERSAL
EXPIRED_AUTHORIZATION
CLEARING
PARTIAL_CLEARING
CLEARING_REVERSAL
transacted_atstring

The network-reported transaction time.

transaction_amountnumber

Transaction amount.

transaction_currencystring

Transaction currency.

typestring

The card transaction event type.

AUTHORIZATION
CLEARING
REVERSAL_AUTH
updated_atstring

Date and time when the card transaction event was last updated, in ISO 8601 format.

Errors
Error statusDescription
400

invalid_argument

401

credentials_invalid

500

service_unavailable

POST /api/v1/simulation/issuing/create
$curl --request POST \
> --url 'https://api.sandbox.airwallex.com/api/v1/simulation/issuing/create' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --header 'x-api-version: 2026-08-21' \
> --data '{
> "auth_code": "123312",
> "card_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
> "card_number": "4242424242424242",
> "merchant_category_code": "0742",
> "merchant_info": "Example",
> "single_phase": true,
> "transaction_amount": 100,
> "transaction_currency": "AUD",
> "transaction_failure_reason": "CVV_INVALID",
> "card_transaction_lifecycle_id": "d8af1614-a6a1-4d45-aae7-6858fc6d9ede"
>}'
Response (201 Created)
1{
2 "auth_code": "000001",
3 "billing_amount": 100,
4 "billing_currency": "USD",
5 "card_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
6 "card_nickname": "<string>",
7 "client_data": "Some client data",
8 "masked_card_number": "************4242",
9 "merchant": {
10 "category_code": "4829",
11 "city": "Melbourne",
12 "country": "Australia",
13 "name": "Merchant A"
14 },
15 "network_transaction_id": "3951729271768745",
16 "process_result": "APPROVED",
17 "retrieval_ref": "909916088001",
18 "subtype": "AUTHORIZATION",
19 "transaction_amount": 100,
20 "transaction_currency": "USD",
21 "transacted_at": "2018-03-21T16:08:02+00:00",
22 "card_transaction_event_id": "6c2dc266-09ad-4235-b61a-767c7cd6d6ea",
23 "card_transaction_id": "7c2dc266-09ad-4235-b61a-767c7cd6d6ea",
24 "card_transaction_lifecycle_id": "3c2dc266-09ad-4235-b61a-767c7cd6d6ea",
25 "type": "AUTHORIZATION",
26 "updated_at": "2018-03-22T16:08:02+00:00"
27}
Was this section helpful?

Capture the Card Transaction Lifecycle

POST /api/v1/simulation/issuing/card_transaction_lifecycles/{card_transaction_lifecycle_id}/capture

Capture a card transaction lifecycle using the given lifecycle ID. This is only available in the sandbox environment.

Path parameters
card_transaction_lifecycle_idrequiredstring

Unique identifier of the card transaction lifecycle to capture.

Request body
merchant_infostring

Merchant description.

transaction_amountnumber

Amount to capture. Providing an amount smaller than the full authorised amount will result in a partial capture of the indicated amount only. When not present, the full authorised amount will be captured.

Response body - 200 OK
auth_codestring

Authorization Code.

billing_amountnumber

Billing amount.

billing_currencystring

Billing Currency.

card_idstring

Unique Identifier for card.

card_nicknamestring

The nickname of the card used.

card_transaction_event_idstring

The unique identifier of the card transaction event created by the simulation operation.

card_transaction_idstring

The unique identifier of the card transaction created or updated by the simulation operation.

card_transaction_lifecycle_idstring

The unique identifier of the card transaction lifecycle created or updated by the simulation operation.

client_datastring

Client data stored against the card record.

failure_reasonstring

The reason the event was declined. Only present when process_result is DECLINED. Learn more about transaction failure reasonsDocs.

ACCOUNT_INVALID
CARDHOLDER_VERIFICATION_FAILED
CARD_CLOSED
CARD_INACTIVE
CARD_INVALID
CARD_LOST_STOLEN
CARD_NOT_ACTIVATED
CARD_REISSUED_TO_NEW_NUMBER
CURRENCY_NOT_ALLOWED
CVV_INVALID
EXPIRY_MISSING
INSUFFICIENT_AVAILABLE_CREDIT
INSUFFICIENT_FUNDS
INTERNAL_ERROR
INVALID_EXPIRY_DATE
LIMIT_EXCEEDED
MERCHANT_CATEGORY_NOT_ALLOWED
MERCHANT_COUNTRY_NOT_ALLOWED
MERCHANT_BRAND_NOT_ALLOWED
MERCHANT_BRAND_CATEGORY_NOT_ALLOWED
MERCHANT_BRAND_SUBCATEGORY_NOT_ALLOWED
NOT_SUPPORTED
OUT_OF_ALLOWED_TIME_RANGE
PIN_INVALID
PIN_RETRIES_EXCEEDED
REMOTE_AUTH_DECLINED
RESTRICTED_COUNTRY
SUSPECTED_FRAUD
TRANSACTION_BLOCKED
TRANSACTION_BLOCKED_AT_TERMINAL
TRANSACTION_USAGE_DISABLED
masked_card_numberstring

Masked card number.

merchantobject

Merchant of the card transaction.

merchant.category_codestring

Merchant category code.

merchant.citystring

Merchant city.

merchant.countrystring

Merchant country.

merchant.namestring

Merchant Name.

network_transaction_idstring

The transaction unique identifier from VISA network.

process_resultstring

The processing result of the card transaction event.

APPROVED
DECLINED
retrieval_refstring

Transaction retrieval reference number. Data element 37 of an financial transaction message (https://en.wikipedia.org/wiki/ISO_8583).

subtypestring

The card transaction event subtype.

AUTHORIZATION
INCREMENTAL_AUTHORIZATION
VERIFICATION
REVERSAL
PARTIAL_REVERSAL
EXPIRED_AUTHORIZATION
CLEARING
PARTIAL_CLEARING
CLEARING_REVERSAL
transacted_atstring

The network-reported transaction time.

transaction_amountnumber

Transaction amount.

transaction_currencystring

Transaction currency.

typestring

The card transaction event type.

AUTHORIZATION
CLEARING
REVERSAL_AUTH
updated_atstring

Date and time when the card transaction event was last updated, in ISO 8601 format.

Errors
Error statusDescription
400

invalid_argument

401

credentials_invalid

500

service_unavailable

POST /api/v1/simulation/issuing/card_transaction_lifecycles/{card_transaction_lifecycle_id}/capture
$curl --request POST \
> --url 'https://api.sandbox.airwallex.com/api/v1/simulation/issuing/card_transaction_lifecycles/d8af1614-a6a1-4d45-aae7-6858fc6d9ede/capture' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "merchant_info": "Example",
> "transaction_amount": 100
>}'
Response (200 OK)
1{
2 "auth_code": "000001",
3 "billing_amount": 100,
4 "billing_currency": "USD",
5 "card_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
6 "card_nickname": "<string>",
7 "client_data": "Some client data",
8 "masked_card_number": "************4242",
9 "merchant": {
10 "category_code": "4829",
11 "city": "Melbourne",
12 "country": "Australia",
13 "name": "Merchant A"
14 },
15 "network_transaction_id": "3951729271768745",
16 "process_result": "APPROVED",
17 "retrieval_ref": "909916088001",
18 "subtype": "CLEARING",
19 "transaction_amount": 100,
20 "transaction_currency": "USD",
21 "transacted_at": "2018-03-21T16:08:02+00:00",
22 "card_transaction_event_id": "6c2dc266-09ad-4235-b61a-767c7cd6d6ea",
23 "card_transaction_id": "7c2dc266-09ad-4235-b61a-767c7cd6d6ea",
24 "card_transaction_lifecycle_id": "3c2dc266-09ad-4235-b61a-767c7cd6d6ea",
25 "type": "CLEARING",
26 "updated_at": "2018-03-22T16:08:02+00:00"
27}
Was this section helpful?

Refund a Transaction for the Provided Card

POST /api/v1/simulation/issuing/refund

Refunds a transaction. This is only available in the sandbox environment.

Request body
transaction_amountrequirednumber

Transaction amount.

transaction_currencyrequiredstring

Currency of the transaction. Can only be one of USD, AUD, GBP, EUR, CAD, JPY, HKD, CNY, SGD, NZD, CHF.

card_idstring

Unique Identifier for card. Leave this blank if using card_number. If both card_number and card_id are provided, card_number will be used.

card_numberstring

Card Number.

card_transaction_lifecycle_idstring

The unique identifier of the original card transaction lifecycle to refund.

merchant_category_codestring

Merchant category code.

merchant_infostring

Merchant description.

Response body - 200 OK
auth_codestring

Authorization Code.

billing_amountnumber

Billing amount.

billing_currencystring

Billing Currency.

card_idstring

Unique Identifier for card.

card_nicknamestring

The nickname of the card used.

card_transaction_event_idstring

The unique identifier of the card transaction event created by the simulation operation.

card_transaction_idstring

The unique identifier of the card transaction created or updated by the simulation operation.

card_transaction_lifecycle_idstring

The unique identifier of the card transaction lifecycle created or updated by the simulation operation.

client_datastring

Client data stored against the card record.

failure_reasonstring

The reason the event was declined. Only present when process_result is DECLINED. Learn more about transaction failure reasonsDocs.

ACCOUNT_INVALID
CARDHOLDER_VERIFICATION_FAILED
CARD_CLOSED
CARD_INACTIVE
CARD_INVALID
CARD_LOST_STOLEN
CARD_NOT_ACTIVATED
CARD_REISSUED_TO_NEW_NUMBER
CURRENCY_NOT_ALLOWED
CVV_INVALID
EXPIRY_MISSING
INSUFFICIENT_AVAILABLE_CREDIT
INSUFFICIENT_FUNDS
INTERNAL_ERROR
INVALID_EXPIRY_DATE
LIMIT_EXCEEDED
MERCHANT_CATEGORY_NOT_ALLOWED
MERCHANT_COUNTRY_NOT_ALLOWED
MERCHANT_BRAND_NOT_ALLOWED
MERCHANT_BRAND_CATEGORY_NOT_ALLOWED
MERCHANT_BRAND_SUBCATEGORY_NOT_ALLOWED
NOT_SUPPORTED
OUT_OF_ALLOWED_TIME_RANGE
PIN_INVALID
PIN_RETRIES_EXCEEDED
REMOTE_AUTH_DECLINED
RESTRICTED_COUNTRY
SUSPECTED_FRAUD
TRANSACTION_BLOCKED
TRANSACTION_BLOCKED_AT_TERMINAL
TRANSACTION_USAGE_DISABLED
masked_card_numberstring

Masked card number.

merchantobject

Merchant of the card transaction.

merchant.category_codestring

Merchant category code.

merchant.citystring

Merchant city.

merchant.countrystring

Merchant country.

merchant.namestring

Merchant Name.

network_transaction_idstring

The transaction unique identifier from VISA network.

process_resultstring

The processing result of the card transaction event.

APPROVED
DECLINED
retrieval_refstring

Transaction retrieval reference number. Data element 37 of an financial transaction message (https://en.wikipedia.org/wiki/ISO_8583).

subtypestring

The card transaction event subtype.

AUTHORIZATION
INCREMENTAL_AUTHORIZATION
VERIFICATION
REVERSAL
PARTIAL_REVERSAL
EXPIRED_AUTHORIZATION
CLEARING
PARTIAL_CLEARING
CLEARING_REVERSAL
transacted_atstring

The network-reported transaction time.

transaction_amountnumber

Transaction amount.

transaction_currencystring

Transaction currency.

typestring

The card transaction event type.

AUTHORIZATION
CLEARING
REVERSAL_AUTH
updated_atstring

Date and time when the card transaction event was last updated, in ISO 8601 format.

Errors
Error statusDescription
400

invalid_argument

401

credentials_invalid

500

service_unavailable

POST /api/v1/simulation/issuing/refund
$curl --request POST \
> --url 'https://api.sandbox.airwallex.com/api/v1/simulation/issuing/refund' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "card_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
> "card_number": "4242424242424242",
> "merchant_category_code": "0742",
> "merchant_info": "Example",
> "transaction_amount": 100,
> "transaction_currency": "AUD",
> "card_transaction_lifecycle_id": "d8af1614-a6a1-4d45-aae7-6858fc6d9ede"
>}'
Response (200 OK)
1{
2 "auth_code": "000001",
3 "billing_amount": 100,
4 "billing_currency": "USD",
5 "card_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
6 "card_nickname": "<string>",
7 "client_data": "Some client data",
8 "masked_card_number": "************4242",
9 "merchant": {
10 "category_code": "4829",
11 "city": "Melbourne",
12 "country": "Australia",
13 "name": "Merchant A"
14 },
15 "network_transaction_id": "3951729271768745",
16 "process_result": "APPROVED",
17 "retrieval_ref": "909916088001",
18 "subtype": "CLEARING",
19 "transaction_amount": 100,
20 "transaction_currency": "USD",
21 "transacted_at": "2018-03-21T16:08:02+00:00",
22 "card_transaction_event_id": "6c2dc266-09ad-4235-b61a-767c7cd6d6ea",
23 "card_transaction_id": "7c2dc266-09ad-4235-b61a-767c7cd6d6ea",
24 "card_transaction_lifecycle_id": "3c2dc266-09ad-4235-b61a-767c7cd6d6ea",
25 "type": "CLEARING",
26 "updated_at": "2018-03-22T16:08:02+00:00"
27}
Was this section helpful?

Reverse the Card Transaction Lifecycle with the Provided Id

POST /api/v1/simulation/issuing/card_transaction_lifecycles/{card_transaction_lifecycle_id}/reverse

Reverse a card transaction lifecycle. This is only available in the sandbox environment.

Path parameters
card_transaction_lifecycle_idrequiredstring

Unique identifier of the card transaction lifecycle to reverse.

Request body
transaction_amountnumber

Amount to reverse. Providing an amount smaller than the full authorised amount will result in a partial reversal of the indicated amount only. When not present, the full authorised amount will be reversed.

Response body - 200 OK
auth_codestring

Authorization Code.

billing_amountnumber

Billing amount.

billing_currencystring

Billing Currency.

card_idstring

Unique Identifier for card.

card_nicknamestring

The nickname of the card used.

card_transaction_event_idstring

The unique identifier of the card transaction event created by the simulation operation.

card_transaction_idstring

The unique identifier of the card transaction created or updated by the simulation operation.

card_transaction_lifecycle_idstring

The unique identifier of the card transaction lifecycle created or updated by the simulation operation.

client_datastring

Client data stored against the card record.

failure_reasonstring

The reason the event was declined. Only present when process_result is DECLINED. Learn more about transaction failure reasonsDocs.

ACCOUNT_INVALID
CARDHOLDER_VERIFICATION_FAILED
CARD_CLOSED
CARD_INACTIVE
CARD_INVALID
CARD_LOST_STOLEN
CARD_NOT_ACTIVATED
CARD_REISSUED_TO_NEW_NUMBER
CURRENCY_NOT_ALLOWED
CVV_INVALID
EXPIRY_MISSING
INSUFFICIENT_AVAILABLE_CREDIT
INSUFFICIENT_FUNDS
INTERNAL_ERROR
INVALID_EXPIRY_DATE
LIMIT_EXCEEDED
MERCHANT_CATEGORY_NOT_ALLOWED
MERCHANT_COUNTRY_NOT_ALLOWED
MERCHANT_BRAND_NOT_ALLOWED
MERCHANT_BRAND_CATEGORY_NOT_ALLOWED
MERCHANT_BRAND_SUBCATEGORY_NOT_ALLOWED
NOT_SUPPORTED
OUT_OF_ALLOWED_TIME_RANGE
PIN_INVALID
PIN_RETRIES_EXCEEDED
REMOTE_AUTH_DECLINED
RESTRICTED_COUNTRY
SUSPECTED_FRAUD
TRANSACTION_BLOCKED
TRANSACTION_BLOCKED_AT_TERMINAL
TRANSACTION_USAGE_DISABLED
masked_card_numberstring

Masked card number.

merchantobject

Merchant of the card transaction.

merchant.category_codestring

Merchant category code.

merchant.citystring

Merchant city.

merchant.countrystring

Merchant country.

merchant.namestring

Merchant Name.

network_transaction_idstring

The transaction unique identifier from VISA network.

process_resultstring

The processing result of the card transaction event.

APPROVED
DECLINED
retrieval_refstring

Transaction retrieval reference number. Data element 37 of an financial transaction message (https://en.wikipedia.org/wiki/ISO_8583).

subtypestring

The card transaction event subtype.

AUTHORIZATION
INCREMENTAL_AUTHORIZATION
VERIFICATION
REVERSAL
PARTIAL_REVERSAL
EXPIRED_AUTHORIZATION
CLEARING
PARTIAL_CLEARING
CLEARING_REVERSAL
transacted_atstring

The network-reported transaction time.

transaction_amountnumber

Transaction amount.

transaction_currencystring

Transaction currency.

typestring

The card transaction event type.

AUTHORIZATION
CLEARING
REVERSAL_AUTH
updated_atstring

Date and time when the card transaction event was last updated, in ISO 8601 format.

Errors
Error statusDescription
400

invalid_argument

401

credentials_invalid

500

service_unavailable

POST /api/v1/simulation/issuing/card_transaction_lifecycles/{card_transaction_lifecycle_id}/reverse
$curl --request POST \
> --url 'https://api.sandbox.airwallex.com/api/v1/simulation/issuing/card_transaction_lifecycles/d8af1614-a6a1-4d45-aae7-6858fc6d9ede/reverse' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "transaction_amount": 100
>}'
Response (200 OK)
1{
2 "auth_code": "000001",
3 "billing_amount": 100,
4 "billing_currency": "USD",
5 "card_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
6 "card_nickname": "<string>",
7 "client_data": "Some client data",
8 "masked_card_number": "************4242",
9 "merchant": {
10 "category_code": "4829",
11 "city": "Melbourne",
12 "country": "Australia",
13 "name": "Merchant A"
14 },
15 "network_transaction_id": "3951729271768745",
16 "process_result": "APPROVED",
17 "retrieval_ref": "909916088001",
18 "subtype": "REVERSAL",
19 "transaction_amount": 100,
20 "transaction_currency": "USD",
21 "transacted_at": "2018-03-21T16:08:02+00:00",
22 "card_transaction_event_id": "6c2dc266-09ad-4235-b61a-767c7cd6d6ea",
23 "card_transaction_id": "7c2dc266-09ad-4235-b61a-767c7cd6d6ea",
24 "card_transaction_lifecycle_id": "3c2dc266-09ad-4235-b61a-767c7cd6d6ea",
25 "type": "REVERSAL_AUTH",
26 "updated_at": "2018-03-22T16:08:02+00:00"
27}
Was this section helpful?

Pass Review Stage of a Cardholder

POST /api/v1/simulation/issuing/cardholders/{id}/pass_review

Use this endpoint to bypass the RFI process. Learn about the cardholder statusDocs and Handle Cardholder Request for Information (RFI)Docs. This is only available in the sandbox environment.

Path parameters
idrequiredstring

Unique identifier of the cardholder.

Response body - 200 OK

OK

Errors
Error statusDescription
400

not_found

401

credentials_invalid

500

service_unavailable

POST /api/v1/simulation/issuing/cardholders/{id}/pass_review
$curl --request POST \
> --url 'https://api.sandbox.airwallex.com/api/v1/simulation/issuing/cardholders/issuing_id/pass_review' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Was this section helpful?

Send Threeds Notification for the Provided Card

POST /api/v1/simulation/issuing/threeds/notify

Use this endpoint to send a threeds delegation mode notification for the provided card. Please note that this account must enable threeds delegation mode in notification configuration. This is only available in sandbox environment.

Request body
card_numberrequiredstring

Card Number.

merchant_infoobject

Merchant Description.

merchant_info.acquirer_idstring

Acquirer unique identifier.

merchant_info.merchant_category_codestring

Merchant Category Code.

merchant_info.merchant_country_codestring

Merchant Country Code.

merchant_info.merchant_idstring

Merchant unique identifier.

merchant_info.merchant_namestring

Merchant Name.

merchant_info.merchant_urlstring

Merchant URL.

Response body - 200 OK
statusstring

Notification Status.

Errors
Error statusDescription
400

configuration_error or card_not_found

401

credentials_invalid

500

internal_error

POST /api/v1/simulation/issuing/threeds/notify
$curl --request POST \
> --url 'https://api.sandbox.airwallex.com/api/v1/simulation/issuing/threeds/notify' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "card_number": "4012000300000088",
> "merchant_info": {
> "acquirer_id": "459535",
> "merchant_category_code": "1200",
> "merchant_country_code": "US",
> "merchant_id": "641025a8-5845-477e-b9da-06dcd28d0d28",
> "merchant_name": "happyPay",
> "merchant_url": "http://www.happypay.com/"
> }
>}'
Response (200 OK)
1{
2 "status": "SUCCESS"
3}
Was this section helpful?